CVE-2004-1078
CVSS7.5
发布时间 :2004-04-26 00:00:00
修订时间 :2008-09-05 16:40:18
NMCOS    

[原文]Stack-based buffer overflow in the client for Citrix Program Neighborhood Agent for Win32 8.00.24737 and earlier and Citrix MetaFrame Presentation Server client for WinCE before 8.33 allows remote attackers to execute arbitrary code via a long cached icon filename in the InName XML element.


[CNNVD]Citrix Program Neighborhood Agent AppCache溢出漏洞(CNNVD-200404-093)

        
        Citrix Program Neighborhood Agent是Citrix演示服务器客户端的一部分,用户可以使用它来方便的访问Citrix发布的应用程序。
        远程利用Citrix Program Neighborhood Agent中的缓冲区溢出漏洞可能允许攻击者以客户端用户的权限执行任意代码。漏洞起因是负责处理服务器端信息缓存的客户端代码。Program Neighborhood Agent在用户配置文件目录的AppCache文件夹中缓存应用程序发布的信息。缓存的图标文件名是通过一系列将lstrcatA()调用到栈缓冲区操作后创建的。由于不充分的边界检查,在第二次调用lstrcatA()后将添加到AppCache文件名路径可能导致缓冲区溢出,最终导致执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:citrix:metaframe_client:8.0::win-ce
cpe:/a:citrix:program_neighborhood_agent:8.0::win32

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1078
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1078
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-093
(官方数据源) CNNVD

- 其它链接及资源

http://www.idefense.com/application/poi/display?id=238&type=vulnerabilities
(VENDOR_ADVISORY)  IDEFENSE  20050426 Citrix Program Neighborhood Agent Buffer Overflow
http://support.citrix.com/kb/entry.jspa?externalID=CTX105650
(VENDOR_ADVISORY)  CONFIRM  http://support.citrix.com/kb/entry.jspa?externalID=CTX105650
http://secunia.com/advisories/15108
(VENDOR_ADVISORY)  SECUNIA  15108

- 漏洞信息

Citrix Program Neighborhood Agent AppCache溢出漏洞
高危 边界条件错误
2004-04-26 00:00:00 2005-10-20 00:00:00
远程  
        
        Citrix Program Neighborhood Agent是Citrix演示服务器客户端的一部分,用户可以使用它来方便的访问Citrix发布的应用程序。
        远程利用Citrix Program Neighborhood Agent中的缓冲区溢出漏洞可能允许攻击者以客户端用户的权限执行任意代码。漏洞起因是负责处理服务器端信息缓存的客户端代码。Program Neighborhood Agent在用户配置文件目录的AppCache文件夹中缓存应用程序发布的信息。缓存的图标文件名是通过一系列将lstrcatA()调用到栈缓冲区操作后创建的。由于不充分的边界检查,在第二次调用lstrcatA()后将添加到AppCache文件名路径可能导致缓冲区溢出,最终导致执行任意代码。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 使用服务器IP地址而不是名称来防范DNS欺骗攻击。
        厂商补丁:
        Citrix
        ------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://www.citrix.com/English/SS/downloads/downloads.asp?dID=2755

        iDEFENSE
        --------
        iDEFENSE已经为此发布了一个安全公告(iDEFENSE-238)以及相应补丁:
        iDEFENSE-238:Citrix Program Neighborhood Agent Buffer Overflow
        链接:
        http://www.idefense.com/application/poi/display?id=238&type=vulnerabilities

- 漏洞信息

15826
Citrix Program Neighborhood Agent Cached Filename Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

A remote overflow exists in Citrix Program Neighborhood Agent. The 'lstrcatA()' function fails to perform proper bounds checking resulting in a buffer overflow. With a specially crafted request, a remote attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-04-26 2004-11-23
Unknow 2005-04-22

- 解决方案

Upgrade to version 9.0 (Program Neighborhood Agent for Win32), 8.33 (Presentation Server client for WinCE) or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Citrix Program Neighborhood Agent AppCache Buffer Overflow Vulnerability
Boundary Condition Error 13373
Yes No
2005-04-26 12:00:00 2009-07-12 02:06:00
Discovery credited to Patrik Karlsson.

- 受影响的程序版本

Citrix Program Neighborhood Agent for Win32 8.0
Citrix Metaframe Presentation Server client for WinCE 8.0

- 漏洞讨论

Citrix Program Neighborhood Agent is prone to a buffer overflow. Successful exploitation of this vulnerability could allow arbitrary code execution in the context of the application.

This issue was reported to affect Program Neighborhood Agent for Win32 and Citrix Metaframe Presentation Server client for WinCE.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Fixes are available:


Citrix Metaframe Presentation Server client for WinCE 8.0

Citrix Program Neighborhood Agent for Win32 8.0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站